For the complete documentation index, see llms.txt. This page is also available as Markdown.

🏦 Accounts

Chart of accounts and account management

List accounts

get
/api/v1.0/organisation/{org_id}/accounts/

List all accounts (chart of accounts) for an organization

Authorizations
AuthorizationstringRequired
Path parameters
org_idstringRequired
Query parameters
account_categorystringOptional

Filter by account category

account_typestring · enumOptional

Filter by account type

Possible values:
is_activestringOptional

Filter by active status (true/false)

parent_accountstringOptional

Filter by parent account unique_id (use "null" for top-level accounts)

searchstringOptional

Search account_code or name

Responses
200Success
application/json

Lightweight version for list views.

unique_idstring · max: 100 · nullableOptional
namestringRequired
account_codestring · max: 20Required
full_account_codestringRead-onlyRequired
account_typestring · enumRequired
  • asset - Asset
  • liability - Liability
  • equity - Equity
  • income - Income
  • expense - Expense
Possible values:
account_type_displaystringRead-onlyRequired
account_categorystring · enumRequired
  • current_assets - Current Assets
  • fixed_assets - Fixed Assets
  • intangible_assets - Intangible Assets
  • current_liabilities - Current Liabilities
  • long_term_liabilities - Long-term Liabilities
  • owner_equity - Owner Equity
  • retained_earnings - Retained Earnings
  • operating_income - Operating Income
  • other_income - Other Income
  • cost_of_goods_sold - Cost of Goods Sold
  • operating_expenses - Operating Expenses
  • administrative_expenses - Administrative Expenses
  • financial_expenses - Financial Expenses
  • other_expenses - Other Expenses
Possible values:
account_category_displaystringRead-onlyRequired
current_balancestring · decimalRead-onlyRequired

Current account balance (calculated from transactions)

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
is_activebooleanOptional
has_sub_accountsbooleanRead-onlyRequired
date_createdstring · date-time · nullableRead-onlyRequired
get/api/v1.0/organisation/{org_id}/accounts/
GET /api/v1.0/organisation/{org_id}/accounts/ HTTP/1.1
Host: skhokho.ai
Authorization: Basic username:password
Accept: */*
[
  {
    "unique_id": "text",
    "name": "text",
    "account_code": "text",
    "full_account_code": "text",
    "account_type": "asset",
    "account_type_display": "text",
    "account_category": "current_assets",
    "account_category_display": "text",
    "current_balance": "text",
    "is_active": true,
    "has_sub_accounts": true,
    "date_created": "2026-01-01T00:00:00.000Z"
  }
]

Create account

post
/api/v1.0/organisation/{org_id}/accounts/create/

Create a new account in the chart of accounts

Authorizations
AuthorizationstringRequired
Path parameters
org_idstringRequired
Body

Comprehensive serializer for Account model. Handles chart of accounts with multilingual support and hierarchy.

unique_idstring · max: 100 · nullableOptional
namestring · min: 1Required
descriptionstring · nullableOptional
account_codestring · min: 1 · max: 20Required
account_typestring · enumRequired
  • asset - Asset
  • liability - Liability
  • equity - Equity
  • income - Income
  • expense - Expense
Possible values:
account_categorystring · enumRequired
  • current_assets - Current Assets
  • fixed_assets - Fixed Assets
  • intangible_assets - Intangible Assets
  • current_liabilities - Current Liabilities
  • long_term_liabilities - Long-term Liabilities
  • owner_equity - Owner Equity
  • retained_earnings - Retained Earnings
  • operating_income - Operating Income
  • other_income - Other Income
  • cost_of_goods_sold - Cost of Goods Sold
  • operating_expenses - Operating Expenses
  • administrative_expenses - Administrative Expenses
  • financial_expenses - Financial Expenses
  • other_expenses - Other Expenses
Possible values:
parent_account_idstring · min: 1 · nullableWrite-onlyOptional
is_activebooleanOptional
is_system_accountbooleanOptional

System accounts cannot be deleted

Responses
201Success
application/json

Detailed version with transaction summary.

unique_idstring · max: 100 · nullableOptional
namestringRequired
descriptionstring · nullableOptional
account_codestring · max: 20Required
account_typestring · enumRequired
  • asset - Asset
  • liability - Liability
  • equity - Equity
  • income - Income
  • expense - Expense
Possible values:
account_type_displaystringRead-onlyRequired
account_categorystring · enumRequired
  • current_assets - Current Assets
  • fixed_assets - Fixed Assets
  • intangible_assets - Intangible Assets
  • current_liabilities - Current Liabilities
  • long_term_liabilities - Long-term Liabilities
  • owner_equity - Owner Equity
  • retained_earnings - Retained Earnings
  • operating_income - Operating Income
  • other_income - Other Income
  • cost_of_goods_sold - Cost of Goods Sold
  • operating_expenses - Operating Expenses
  • administrative_expenses - Administrative Expenses
  • financial_expenses - Financial Expenses
  • other_expenses - Other Expenses
Possible values:
account_category_displaystringRead-onlyRequired
full_account_codestringRead-onlyRequired
account_pathstringRead-onlyRequired
current_balancestring · decimalRead-onlyRequired

Current account balance (calculated from transactions)

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
is_activebooleanOptional
is_system_accountbooleanOptional

System accounts cannot be deleted

has_sub_accountsbooleanRead-onlyRequired
date_createdstring · date-time · nullableRead-onlyRequired
last_updatedstring · date-time · nullableRead-onlyRequired
sub_accounts_countintegerRead-onlyRequired
transaction_countintegerRead-onlyRequired
post/api/v1.0/organisation/{org_id}/accounts/create/
POST /api/v1.0/organisation/{org_id}/accounts/create/ HTTP/1.1
Host: skhokho.ai
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 205

{
  "unique_id": "text",
  "name": "text",
  "description": "text",
  "account_code": "text",
  "account_type": "asset",
  "account_category": "current_assets",
  "parent_account_id": "text",
  "is_active": true,
  "is_system_account": true
}
{
  "unique_id": "text",
  "name": "text",
  "description": "text",
  "account_code": "text",
  "account_type": "asset",
  "account_type_display": "text",
  "account_category": "current_assets",
  "account_category_display": "text",
  "parent_account": {
    "unique_id": "text",
    "account_code": "text",
    "name": "text",
    "account_type": "asset"
  },
  "full_account_code": "text",
  "account_path": "text",
  "current_balance": "text",
  "is_active": true,
  "is_system_account": true,
  "has_sub_accounts": true,
  "created_by": {
    "unique_id": "text",
    "full_name": "text"
  },
  "date_created": "2026-01-01T00:00:00.000Z",
  "last_updated": "2026-01-01T00:00:00.000Z",
  "sub_accounts_count": 1,
  "transaction_count": 1
}

Get account

get
/api/v1.0/organisation/{org_id}/accounts/{account_id}/

Retrieve a specific account by ID

Authorizations
AuthorizationstringRequired
Path parameters
account_idstringRequired
org_idstringRequired
Responses
200Success
application/json

Detailed version with transaction summary.

unique_idstring · max: 100 · nullableOptional
namestringRequired
descriptionstring · nullableOptional
account_codestring · max: 20Required
account_typestring · enumRequired
  • asset - Asset
  • liability - Liability
  • equity - Equity
  • income - Income
  • expense - Expense
Possible values:
account_type_displaystringRead-onlyRequired
account_categorystring · enumRequired
  • current_assets - Current Assets
  • fixed_assets - Fixed Assets
  • intangible_assets - Intangible Assets
  • current_liabilities - Current Liabilities
  • long_term_liabilities - Long-term Liabilities
  • owner_equity - Owner Equity
  • retained_earnings - Retained Earnings
  • operating_income - Operating Income
  • other_income - Other Income
  • cost_of_goods_sold - Cost of Goods Sold
  • operating_expenses - Operating Expenses
  • administrative_expenses - Administrative Expenses
  • financial_expenses - Financial Expenses
  • other_expenses - Other Expenses
Possible values:
account_category_displaystringRead-onlyRequired
full_account_codestringRead-onlyRequired
account_pathstringRead-onlyRequired
current_balancestring · decimalRead-onlyRequired

Current account balance (calculated from transactions)

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
is_activebooleanOptional
is_system_accountbooleanOptional

System accounts cannot be deleted

has_sub_accountsbooleanRead-onlyRequired
date_createdstring · date-time · nullableRead-onlyRequired
last_updatedstring · date-time · nullableRead-onlyRequired
sub_accounts_countintegerRead-onlyRequired
transaction_countintegerRead-onlyRequired
get/api/v1.0/organisation/{org_id}/accounts/{account_id}/
GET /api/v1.0/organisation/{org_id}/accounts/{account_id}/ HTTP/1.1
Host: skhokho.ai
Authorization: Basic username:password
Accept: */*
{
  "unique_id": "text",
  "name": "text",
  "description": "text",
  "account_code": "text",
  "account_type": "asset",
  "account_type_display": "text",
  "account_category": "current_assets",
  "account_category_display": "text",
  "parent_account": {
    "unique_id": "text",
    "account_code": "text",
    "name": "text",
    "account_type": "asset"
  },
  "full_account_code": "text",
  "account_path": "text",
  "current_balance": "text",
  "is_active": true,
  "is_system_account": true,
  "has_sub_accounts": true,
  "created_by": {
    "unique_id": "text",
    "full_name": "text"
  },
  "date_created": "2026-01-01T00:00:00.000Z",
  "last_updated": "2026-01-01T00:00:00.000Z",
  "sub_accounts_count": 1,
  "transaction_count": 1
}

Update account

put
/api/v1.0/organisation/{org_id}/accounts/{account_id}/update/

Update an existing account

Authorizations
AuthorizationstringRequired
Path parameters
account_idstringRequired
org_idstringRequired
Body

Comprehensive serializer for Account model. Handles chart of accounts with multilingual support and hierarchy.

unique_idstring · max: 100 · nullableOptional
namestring · min: 1Required
descriptionstring · nullableOptional
account_codestring · min: 1 · max: 20Required
account_typestring · enumRequired
  • asset - Asset
  • liability - Liability
  • equity - Equity
  • income - Income
  • expense - Expense
Possible values:
account_categorystring · enumRequired
  • current_assets - Current Assets
  • fixed_assets - Fixed Assets
  • intangible_assets - Intangible Assets
  • current_liabilities - Current Liabilities
  • long_term_liabilities - Long-term Liabilities
  • owner_equity - Owner Equity
  • retained_earnings - Retained Earnings
  • operating_income - Operating Income
  • other_income - Other Income
  • cost_of_goods_sold - Cost of Goods Sold
  • operating_expenses - Operating Expenses
  • administrative_expenses - Administrative Expenses
  • financial_expenses - Financial Expenses
  • other_expenses - Other Expenses
Possible values:
parent_account_idstring · min: 1 · nullableWrite-onlyOptional
is_activebooleanOptional
is_system_accountbooleanOptional

System accounts cannot be deleted

Responses
200Success
application/json

Detailed version with transaction summary.

unique_idstring · max: 100 · nullableOptional
namestringRequired
descriptionstring · nullableOptional
account_codestring · max: 20Required
account_typestring · enumRequired
  • asset - Asset
  • liability - Liability
  • equity - Equity
  • income - Income
  • expense - Expense
Possible values:
account_type_displaystringRead-onlyRequired
account_categorystring · enumRequired
  • current_assets - Current Assets
  • fixed_assets - Fixed Assets
  • intangible_assets - Intangible Assets
  • current_liabilities - Current Liabilities
  • long_term_liabilities - Long-term Liabilities
  • owner_equity - Owner Equity
  • retained_earnings - Retained Earnings
  • operating_income - Operating Income
  • other_income - Other Income
  • cost_of_goods_sold - Cost of Goods Sold
  • operating_expenses - Operating Expenses
  • administrative_expenses - Administrative Expenses
  • financial_expenses - Financial Expenses
  • other_expenses - Other Expenses
Possible values:
account_category_displaystringRead-onlyRequired
full_account_codestringRead-onlyRequired
account_pathstringRead-onlyRequired
current_balancestring · decimalRead-onlyRequired

Current account balance (calculated from transactions)

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
is_activebooleanOptional
is_system_accountbooleanOptional

System accounts cannot be deleted

has_sub_accountsbooleanRead-onlyRequired
date_createdstring · date-time · nullableRead-onlyRequired
last_updatedstring · date-time · nullableRead-onlyRequired
sub_accounts_countintegerRead-onlyRequired
transaction_countintegerRead-onlyRequired
put/api/v1.0/organisation/{org_id}/accounts/{account_id}/update/
PUT /api/v1.0/organisation/{org_id}/accounts/{account_id}/update/ HTTP/1.1
Host: skhokho.ai
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 205

{
  "unique_id": "text",
  "name": "text",
  "description": "text",
  "account_code": "text",
  "account_type": "asset",
  "account_category": "current_assets",
  "parent_account_id": "text",
  "is_active": true,
  "is_system_account": true
}
{
  "unique_id": "text",
  "name": "text",
  "description": "text",
  "account_code": "text",
  "account_type": "asset",
  "account_type_display": "text",
  "account_category": "current_assets",
  "account_category_display": "text",
  "parent_account": {
    "unique_id": "text",
    "account_code": "text",
    "name": "text",
    "account_type": "asset"
  },
  "full_account_code": "text",
  "account_path": "text",
  "current_balance": "text",
  "is_active": true,
  "is_system_account": true,
  "has_sub_accounts": true,
  "created_by": {
    "unique_id": "text",
    "full_name": "text"
  },
  "date_created": "2026-01-01T00:00:00.000Z",
  "last_updated": "2026-01-01T00:00:00.000Z",
  "sub_accounts_count": 1,
  "transaction_count": 1
}

Update account

patch
/api/v1.0/organisation/{org_id}/accounts/{account_id}/update/

Update an existing account

Authorizations
AuthorizationstringRequired
Path parameters
account_idstringRequired
org_idstringRequired
Body

Comprehensive serializer for Account model. Handles chart of accounts with multilingual support and hierarchy.

unique_idstring · max: 100 · nullableOptional
namestring · min: 1Optional
descriptionstring · nullableOptional
account_codestring · min: 1 · max: 20Optional
account_typestring · enumOptional
  • asset - Asset
  • liability - Liability
  • equity - Equity
  • income - Income
  • expense - Expense
Possible values:
account_categorystring · enumOptional
  • current_assets - Current Assets
  • fixed_assets - Fixed Assets
  • intangible_assets - Intangible Assets
  • current_liabilities - Current Liabilities
  • long_term_liabilities - Long-term Liabilities
  • owner_equity - Owner Equity
  • retained_earnings - Retained Earnings
  • operating_income - Operating Income
  • other_income - Other Income
  • cost_of_goods_sold - Cost of Goods Sold
  • operating_expenses - Operating Expenses
  • administrative_expenses - Administrative Expenses
  • financial_expenses - Financial Expenses
  • other_expenses - Other Expenses
Possible values:
parent_account_idstring · min: 1 · nullableWrite-onlyOptional
is_activebooleanOptional
is_system_accountbooleanOptional

System accounts cannot be deleted

Responses
200Success
application/json

Detailed version with transaction summary.

unique_idstring · max: 100 · nullableOptional
namestringRequired
descriptionstring · nullableOptional
account_codestring · max: 20Required
account_typestring · enumRequired
  • asset - Asset
  • liability - Liability
  • equity - Equity
  • income - Income
  • expense - Expense
Possible values:
account_type_displaystringRead-onlyRequired
account_categorystring · enumRequired
  • current_assets - Current Assets
  • fixed_assets - Fixed Assets
  • intangible_assets - Intangible Assets
  • current_liabilities - Current Liabilities
  • long_term_liabilities - Long-term Liabilities
  • owner_equity - Owner Equity
  • retained_earnings - Retained Earnings
  • operating_income - Operating Income
  • other_income - Other Income
  • cost_of_goods_sold - Cost of Goods Sold
  • operating_expenses - Operating Expenses
  • administrative_expenses - Administrative Expenses
  • financial_expenses - Financial Expenses
  • other_expenses - Other Expenses
Possible values:
account_category_displaystringRead-onlyRequired
full_account_codestringRead-onlyRequired
account_pathstringRead-onlyRequired
current_balancestring · decimalRead-onlyRequired

Current account balance (calculated from transactions)

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
is_activebooleanOptional
is_system_accountbooleanOptional

System accounts cannot be deleted

has_sub_accountsbooleanRead-onlyRequired
date_createdstring · date-time · nullableRead-onlyRequired
last_updatedstring · date-time · nullableRead-onlyRequired
sub_accounts_countintegerRead-onlyRequired
transaction_countintegerRead-onlyRequired
patch/api/v1.0/organisation/{org_id}/accounts/{account_id}/update/
PATCH /api/v1.0/organisation/{org_id}/accounts/{account_id}/update/ HTTP/1.1
Host: skhokho.ai
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 205

{
  "unique_id": "text",
  "name": "text",
  "description": "text",
  "account_code": "text",
  "account_type": "asset",
  "account_category": "current_assets",
  "parent_account_id": "text",
  "is_active": true,
  "is_system_account": true
}
{
  "unique_id": "text",
  "name": "text",
  "description": "text",
  "account_code": "text",
  "account_type": "asset",
  "account_type_display": "text",
  "account_category": "current_assets",
  "account_category_display": "text",
  "parent_account": {
    "unique_id": "text",
    "account_code": "text",
    "name": "text",
    "account_type": "asset"
  },
  "full_account_code": "text",
  "account_path": "text",
  "current_balance": "text",
  "is_active": true,
  "is_system_account": true,
  "has_sub_accounts": true,
  "created_by": {
    "unique_id": "text",
    "full_name": "text"
  },
  "date_created": "2026-01-01T00:00:00.000Z",
  "last_updated": "2026-01-01T00:00:00.000Z",
  "sub_accounts_count": 1,
  "transaction_count": 1
}

Perform account action

get
/api/v1.0/organisation/{org_id}/accounts/{account_id}/action/

Perform an action on an account using query parameter.

**Available Actions:**
- `activate` - Activate a deactivated account
- `deactivate` - Deactivate an account (soft delete, use instead of deleting accounts with transactions)

**Examples:**
- `/accounts/{id}/action?action=activate`
- `/accounts/{id}/action?action=deactivate`
Authorizations
AuthorizationstringRequired
Path parameters
account_idstringRequired
org_idstringRequired
Responses
200Success
application/json

Detailed version with transaction summary.

unique_idstring · max: 100 · nullableOptional
namestringRequired
descriptionstring · nullableOptional
account_codestring · max: 20Required
account_typestring · enumRequired
  • asset - Asset
  • liability - Liability
  • equity - Equity
  • income - Income
  • expense - Expense
Possible values:
account_type_displaystringRead-onlyRequired
account_categorystring · enumRequired
  • current_assets - Current Assets
  • fixed_assets - Fixed Assets
  • intangible_assets - Intangible Assets
  • current_liabilities - Current Liabilities
  • long_term_liabilities - Long-term Liabilities
  • owner_equity - Owner Equity
  • retained_earnings - Retained Earnings
  • operating_income - Operating Income
  • other_income - Other Income
  • cost_of_goods_sold - Cost of Goods Sold
  • operating_expenses - Operating Expenses
  • administrative_expenses - Administrative Expenses
  • financial_expenses - Financial Expenses
  • other_expenses - Other Expenses
Possible values:
account_category_displaystringRead-onlyRequired
full_account_codestringRead-onlyRequired
account_pathstringRead-onlyRequired
current_balancestring · decimalRead-onlyRequired

Current account balance (calculated from transactions)

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
is_activebooleanOptional
is_system_accountbooleanOptional

System accounts cannot be deleted

has_sub_accountsbooleanRead-onlyRequired
date_createdstring · date-time · nullableRead-onlyRequired
last_updatedstring · date-time · nullableRead-onlyRequired
sub_accounts_countintegerRead-onlyRequired
transaction_countintegerRead-onlyRequired
get/api/v1.0/organisation/{org_id}/accounts/{account_id}/action/
GET /api/v1.0/organisation/{org_id}/accounts/{account_id}/action/ HTTP/1.1
Host: skhokho.ai
Authorization: Basic username:password
Accept: */*
{
  "unique_id": "text",
  "name": "text",
  "description": "text",
  "account_code": "text",
  "account_type": "asset",
  "account_type_display": "text",
  "account_category": "current_assets",
  "account_category_display": "text",
  "parent_account": {
    "unique_id": "text",
    "account_code": "text",
    "name": "text",
    "account_type": "asset"
  },
  "full_account_code": "text",
  "account_path": "text",
  "current_balance": "text",
  "is_active": true,
  "is_system_account": true,
  "has_sub_accounts": true,
  "created_by": {
    "unique_id": "text",
    "full_name": "text"
  },
  "date_created": "2026-01-01T00:00:00.000Z",
  "last_updated": "2026-01-01T00:00:00.000Z",
  "sub_accounts_count": 1,
  "transaction_count": 1
}

Last updated